.TH wxListbook 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxListbook \- See external documentation: wxListbook\&.
.SH DESCRIPTION
.LP
See external documentation: wxListbook <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxListbook()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxListbook()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookwxlistbook>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxListbook()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxListbook()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookwxlistbook>\&.
.RE
.LP
.B
addPage(This::wxListbook(), Page::wxWindow() (see module wxWindow), Text::string()) -> bool()
.br
.RS
.LP
Equivalent to addPage(This, Page, Text, [])\&.
.RE
.LP
.B
addPage(This::wxListbook(), Page::wxWindow() (see module wxWindow), Text::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookaddpage>\&.
.RE
.LP
.B
advanceSelection(This::wxListbook()) -> ok
.br
.RS
.LP
Equivalent to advanceSelection(This, [])\&.
.RE
.LP
.B
advanceSelection(This::wxListbook(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {forward, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookadvanceselection>\&.
.RE
.LP
.B
assignImageList(This::wxListbook(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookassignimagelist>\&.
.RE
.LP
.B
create(This::wxListbook(), Parent::wxWindow() (see module wxWindow), Id::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, [])\&.
.RE
.LP
.B
create(This::wxListbook(), Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookcreate>\&.
.RE
.LP
.B
deleteAllPages(This::wxListbook()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookdeleteallpages>\&.
.RE
.LP
.B
deletePage(This::wxListbook(), N::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookdeletepage>\&.
.RE
.LP
.B
removePage(This::wxListbook(), N::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookremovepage>\&.
.RE
.LP
.B
getCurrentPage(This::wxListbook()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookgetcurrentpage>\&.
.RE
.LP
.B
getImageList(This::wxListbook()) -> wxImageList() (see module wxImageList)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookgetimagelist>\&.
.RE
.LP
.B
getPage(This::wxListbook(), N::integer()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookgetpage>\&.
.RE
.LP
.B
getPageCount(This::wxListbook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookgetpagecount>\&.
.RE
.LP
.B
getPageImage(This::wxListbook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookgetpageimage>\&.
.RE
.LP
.B
getPageText(This::wxListbook(), N::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookgetpagetext>\&.
.RE
.LP
.B
getSelection(This::wxListbook()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookgetselection>\&.
.RE
.LP
.B
hitTest(This::wxListbook(), Pt::{X::integer(), Y::integer()}) -> {integer(), Flags::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookhittest>\&.
.RE
.LP
.B
insertPage(This::wxListbook(), N::integer(), Page::wxWindow() (see module wxWindow), Text::string()) -> bool()
.br
.RS
.LP
Equivalent to insertPage(This, N, Page, Text, [])\&.
.RE
.LP
.B
insertPage(This::wxListbook(), N::integer(), Page::wxWindow() (see module wxWindow), Text::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {bSelect, bool()} | {imageId, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookinsertpage>\&.
.RE
.LP
.B
setImageList(This::wxListbook(), ImageList::wxImageList() (see module wxImageList)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbooksetimagelist>\&.
.RE
.LP
.B
setPageSize(This::wxListbook(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbooksetpagesize>\&.
.RE
.LP
.B
setPageImage(This::wxListbook(), N::integer(), ImageId::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbooksetpageimage>\&.
.RE
.LP
.B
setPageText(This::wxListbook(), N::integer(), StrText::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbooksetpagetext>\&.
.RE
.LP
.B
setSelection(This::wxListbook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbooksetselection>\&.
.RE
.LP
.B
changeSelection(This::wxListbook(), N::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbook\&.html#wxlistbookchangeselection>\&.
.RE
.LP
.B
destroy(This::wxListbook()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
